﻿using System;
using System.Collections.Generic;
using System.Threading.Tasks;
using System.Linq;
using EleWise.ELMA.Core;
using EleWise.ELMA.Core.Controllers;
using EleWise.ELMA.Core.Services;
using EleWise.ELMA.Model.Common;
using EleWise.ELMA.Model.Validation;
using EleWise.ELMA.Model.ViewModel;
using EleWise.ELMA.Model.Views;
using EleWise.ELMA.DataClasses;

namespace TestCustomInputModule.Components
{
    /// <summary>
    /// Контроллер компонента "BooleanCustomInput"
    /// </summary>
    partial class BooleanCustomInput
    {
        partial class ComponentController
        {
            public void Click()
            {
                Component.OnBlur(new ChangeEvent<bool>
                {
                    Value = !Context.Value
                });
            }
        }
    }
}
